> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/redaction.md).

# Redaction

- [True PDF Redaction Library Using JavaScript](https://docs.apryse.com/web/redaction/redaction.md): Learn about redaction, a two-step process involving marking content for removal and applying redactions to permanently remove information. Discover how to set up WebViewer for redaction and redact con
- [Setting up redaction in WebViewer](https://docs.apryse.com/web/redaction/redaction-setup.md): Discover how to set up redaction in WebViewer efficiently. Enable redaction property, configure fullAPI or webviewerServerURL for applying redactions seamlessly. Toggle redaction with WebViewer API ef
- [Creating redactions](https://docs.apryse.com/web/redaction/creating-redaction.md): Create redactions effortlessly using the WebViewer UI or programmatically. Learn how to add redactions with ease using the UITo tool in WebViewer. Click, drag, and create new redactions seamlessly. Pr
- [Redacting PDFs in UI or Programmatically using JavaScript](https://docs.apryse.com/web/redaction/redact.md): Redact PDFs effortlessly using JavaScript, either through the WebViewer UI or programmatically. Learn how to apply redactions seamlessly  for secure document editing. The Apryse Web SDK streamlines se
- [Search and Redact](https://docs.apryse.com/web/redaction/search-and-redact.md): Learn how to set up a programatic search and redact workflow in WebViewer with this comprehensive guide. Enable redaction, search for text, and create redactions step-by-step. Optimize your document w
- [Sample to Redact PDFs using JavaScript](https://docs.apryse.com/web/redaction/samples.md): Learn how to redact PDFs effortlessly with JavaScript. This guide demonstrates how to permanently remove sensitive content from documents. Try the demo now! The Apryse Web SDK streamlines secure, serv
- [API for PDF Redaction with JavaScript](https://docs.apryse.com/web/redaction/apis.md): Discover the powerful API for PDF redaction with JavaScript. Leverage essential APIs like enableRedactionAnnotationManager and applyRedactionsAnnotations for seamless annotation management. Explore Re


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/redaction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
